mgorny      15/07/25 10:07:36

  Modified:             ChangeLog python-utils-r1.eclass
  Log:
  Add missing ||die to "rm -f" calls, i.e. in case we do not have permission to 
remove the files.

Revision  Changes    Path
1.1727               eclass/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1727&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1727&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1726&r2=1.1727

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1726
retrieving revision 1.1727
diff -u -r1.1726 -r1.1727
--- ChangeLog   23 Jul 2015 15:42:26 -0000      1.1726
+++ ChangeLog   25 Jul 2015 10:07:36 -0000      1.1727
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1726 2015/07/23 
15:42:26 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1727 2015/07/25 
10:07:36 mgorny Exp $
+
+  25 Jul 2015; Michał Górny <mgo...@gentoo.org> python-utils-r1.eclass:
+  Add missing ||die to "rm -f" calls, i.e. in case we do not have permission to
+  remove the files.
 
   23 Jul 2015; William Hubbs <willi...@gentoo.org> golang-build.eclass:
   Add functions to retrieve Go library paths and install Go packages.



1.84                 eclass/python-utils-r1.eclass

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-utils-r1.eclass?rev=1.84&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-utils-r1.eclass?rev=1.84&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-utils-r1.eclass?r1=1.83&r2=1.84

Index: python-utils-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v
retrieving revision 1.83
retrieving revision 1.84
diff -u -r1.83 -r1.84
--- python-utils-r1.eclass      4 Jul 2015 15:26:17 -0000       1.83
+++ python-utils-r1.eclass      25 Jul 2015 10:07:36 -0000      1.84
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.83 
2015/07/04 15:26:17 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.84 
2015/07/25 10:07:36 mgorny Exp $
 
 # @ECLASS: python-utils-r1
 # @MAINTAINER:
@@ -840,9 +840,9 @@
                mkdir -p "${workdir}"/{bin,pkgconfig} || die
 
                # Clean up, in case we were supposed to do a cheap update.
-               rm -f "${workdir}"/bin/python{,2,3,-config}
-               rm -f "${workdir}"/bin/2to3
-               rm -f "${workdir}"/pkgconfig/python{,2,3}.pc
+               rm -f "${workdir}"/bin/python{,2,3,-config} || die
+               rm -f "${workdir}"/bin/2to3 || die
+               rm -f "${workdir}"/pkgconfig/python{,2,3}.pc || die
 
                local EPYTHON PYTHON
                python_export "${impl}" EPYTHON PYTHON




Reply via email to